Bug 7314 - partition check freezes on boot after install
partition check freezes on boot after install
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-24 19:22 EST by Ben Kosse
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 13:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Kosse 1999-11-24 19:22:13 EST
System is an HP Kayak XU, a PPro 200 multiprocessor capable machine with a single processor. 96MB RAM, CMD646 Controller, 3 IDE drives, all identical 4.5GB Seagate drives.

During install, the partition check happens and the system sees existing partitions (if any, there were none originally). The install happens with no problems, and all data appears on the drive (verified by booting to the install disk, mknod /dev/hda, mknod /dev/hda7, mkdir /mnt/sys, mount /dev/hda7 /mnt/sys).

However, during the boot after installing, the system freezes solid at "Partition check: hda" with ctrl-alt-del not functioning.
Comment 1 bkosse 1999-12-01 23:25:59 EST
This appears to be a timing issue in the IDE driver coupled with a bug in the
installer. The machine is detected as a multiprocessor box, yet has only a
single processor.

While booted to multiprocessor, there's a timing problem (probably) in the
CMD646 driver that causes the hang.
Comment 2 Cristian Gafton 2000-01-04 17:20:59 EST
Assigned to dledford
Comment 3 Alan Cox 2000-08-08 13:26:03 EDT
Boot with the 'noapic' option. The XU-200 bios seems to have invalid apic tables

Note You need to log in before you can comment on or make changes to this bug.